Kuest Docs

Get Batch Prices History

Get historical midpoint prices for many markets

Get Help
POST
/batch-prices-history

Request Body

application/json
  1. body
markets*array<string>

Token identifiers (markets) to query. Maximum 20.

Items1 <= items <= 20
start_ts?integer

Start of the time range (unix timestamp in seconds). Required when interval is absent.

Formatint64
end_ts?integer

End of the time range (unix timestamp in seconds). Defaults to now when omitted.

Formatint64
interval?string

Preset time window to query. Cannot be used with start_ts/end_ts. all is accepted as an alias for max and uses 12h buckets aligned to 00:00/12:00 UTC.

Value in"1m""5m""15m""1h""6h""1d""1w""max""all"
fidelity?integer

Bucket size in minutes when using explicit timestamps. Auto-calculated when omitted and rounded up to the nearest supported step (1m, 5m, 30m, 3h, 12h).

Formatint32
Range1 <= value

Response Body

Time series of midpoint prices per market

application/json
  1. response
history*

Map of token identifier to historical midpoint price series.

curl -X POST 'https://clob.kuest.com/batch-prices-history' \  -H 'Content-Type: application/json' \  -d '{  "markets": [    "string"  ]}'
{  "history": {    "property1": [      {        "t": 0,        "p": 0      }    ],    "property2": [      {        "t": 0,        "p": 0      }    ]  }}